Bug 11809 - SMB3 multichannel implementation is missing channel sequence number verification
SMB3 multichannel implementation is missing channel sequence number verification
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-24 11:03 UTC by Guenther Deschner
Modified: 2016-05-11 11:34 UTC (History)
3 users (show)

See Also:


Attachments
patch from master for v4-4-test (63.75 KB, patch)
2016-03-24 11:19 UTC, Guenther Deschner
no flags Details
Updated patch for v4-4-test. (33.07 KB, patch)
2016-05-06 14:57 UTC, Michael Adam
obnox: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2016-03-24 11:03:44 UTC
Patches for this are already in master
Comment 1 Guenther Deschner 2016-03-24 11:19:52 UTC
Created attachment 11935 [details]
patch from master for v4-4-test
Comment 2 Michael Adam 2016-03-25 00:09:03 UTC
Comment on attachment 11935 [details]
patch from master for v4-4-test

Looks good generally, but lacks cherry-pick info and BUG: .... lines.

In all honest, not 100% sure if we want to backport the durable-handle testcase improvements (at least as part of this bug), even though these improvements were found as part of investigations around multi-channel coding.
Comment 3 Michael Adam 2016-05-06 14:57:54 UTC
Created attachment 12082 [details]
Updated patch for v4-4-test.

Updated patchset including cherry-pick-info and BUG-references.
Omitted the durable-handle test patches.
Comment 4 Guenther Deschner 2016-05-06 15:24:04 UTC
Comment on attachment 12082 [details]
Updated patch for v4-4-test.

LGTM, Thanks for adding the missing bits!
Comment 5 Guenther Deschner 2016-05-06 15:25:41 UTC
Karolin, please to add to the next 4.4.x release.

Thanks!
Comment 6 Karolin Seeger 2016-05-09 08:24:26 UTC
(In reply to Guenther Deschner from comment #5)
Pushed to autobuild-v4-4-test.
Comment 7 Karolin Seeger 2016-05-11 11:34:35 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-4-test.
Closing out bug report.

Thanks!